Texa Desk Application API · Contacts
Merge Contacts
POST/
Merge two contacts into a single contact. The base contact remains and receives all data from the mergee contact. After the merge, the mergee contact is permanently deleted.
This action is irreversible. All conversations, labels, and custom attributes from the mergee contact will be moved to the base contact.
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
Body application/json
base_contact_idintegerrequiredID of the contact that will remain after the merge and receive all data
mergee_contact_idintegerrequiredID of the contact that will be merged into the base contact and deleted
Responses
200Contacts merged successfully
idnumberpayloadarray of objectpayload[].additional_attributesobjectThe object containing additional attributes related to the contact
payload[].availability_statusstringThe availability status of the contact
payload[].emailstringThe email address of the contact
payload[].idintegerThe ID of the contact
payload[].namestringThe name of the contact
payload[].phone_numberstringThe phone number of the contact
payload[].blockedbooleanWhether the contact is blocked
payload[].identifierstringThe identifier of the contact
payload[].thumbnailstringThe thumbnail of the contact
payload[].custom_attributesobjectThe custom attributes of the contact
payload[].last_activity_atintegerThe last activity at of the contact
payload[].created_atintegerThe created at of the contact
payload[].contact_inboxesarray of objectpayload[].contact_inboxes[].source_idstringContact Inbox Source Id
payload[].contact_inboxes[].inboxobject400Bad request - invalid contact IDs or contacts cannot be merged
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring404One or both contacts not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring